# TiXmlComment Class Reference

An XML comment. More...

`#include <tinyxml.h>`

Inheritance diagram for TiXmlComment:

List of all members.

## Public Member Functions
| TiXmlComment ()
| Constructs an empty comment.
| TiXmlComment (const char *_value)
| Construct a comment from text.
virtual TiXmlNode * | Clone () const
| Returns a copy of this Comment.
virtual void | Print (FILE *cfile, int depth) const
| All TinyXml classes can print themselves to a filestream or the string class (TiXmlString in non-STL mode, std::string in STL mode.
virtual const TiXmlComment * | ToComment () const
| Cast to a more defined type. Will return null not of the requested type.
virtual TiXmlComment * | ToComment ()
| Cast to a more defined type. Will return null not of the requested type.
virtual bool | Accept (TiXmlVisitor *visitor) const
| Walk the XML tree visiting this node and all of its children.

## Detailed Description

An XML comment.

## Member Function Documentation

virtual void TiXmlComment::Print | ( | FILE * | cfile,
|  | int | depth |
| ) |  |  | const`[virtual]`

All TinyXml classes can print themselves to a filestream or the string class (TiXmlString in non-STL mode, std::string in STL mode.

) Either or both cfile and str can be null.

This is a formatted print, and will insert tabs and newlines.

(For an unformatted stream, use the << operator.)

Implements TiXmlBase.

The documentation for this class was generated from the following file:

- tinyxml.h